# Manuel de &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;

&traducteurAnneMarieMahfouf; &traducteurLudovicGrossard; &traducteurEricBischoff; &traducteurDamienRaudeMorvan; &traducteurPierreBuard; &relecteurLudovicGrossard;

2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
&Kurt.Hindenburg;
&FDLNotice;
2009-04-12
2.3.0

&konsole; est un émulateur de terminal pour &kde;.

KDE
konsole
kdebase
commande
ligne
terminal
cli

## Introduction

### Qu'est-ce qu'un terminal ?

&konsole; est un émulateur de terminal X, souvent appelé terminal ou shell. Il émule une interface en ligne de commande dans une fenêtre textuelle.

Expliquer l'utilisation du CLI d'&UNIX; dépasse le champ de ce document. Une recherche sur le web de ces termes fournira davantage d'informations.

### Historique

&konsole; utilise la notion d'historique afin de permettre aux utilisateurs de voir les sorties précédemment affichées. Par défaut, l'historique est activé et retient les 1000 dernières lignes affichées en plus de celles présentes à l'écran. Lorsque les lignes disparaissent en haut de l'écran, elles peuvent être affichées à nouveau en déplaçant la barre de défilement vers le haut, avec la molette de la souris ou en utilisant les touches &Maj;Page précédente (pour revenir en arrière d'une page), &Maj;Page suivante (pour avancer d'une page), &Maj;flèche vers le haut (pour remonter d'une ligne) et les touches &Maj;flèche vers le bas (pour descendre d'une ligne).

Lorsque Arrêt défil est activé, les entrées et sorties ordinaires depuis la console sont suspendues et vous pouvez faire défiler l'historique avec Page précédente, Page suivante, Flèche vers le haut et Flèche vers le bas.

&konsole; offre de nombreuses possibilités liées à l'historique regroupées dans le menu Historique .

### Profils

Les profils permettent à l'utilisateur d'automatiser rapidement et simplement l'exécution de commandes courantes. Par exemple :

- SSH vers une autre machine

- démarrer une session IRC

- utiliser tail pour surveiller un fichier

Procédure pour créer un nouveau profil :

1. Cliquez sur l'élément du menu Configuration Configurer les profils...

2. Cliquez sur le bouton Nouveau profil....

3. Remplissez la première zone avec un nom. C'est ce nom qui sera affiché dans le menu et qui sera le libellé par défaut à la place de Shell lorsque vous démarrerez une session de ce type.

4. Saisissez une commande, comme vous le feriez en ouvrant un nouveau terminal. Pour notre premier exemple, vous pouvez écrire ``ssh` administration`.

5. Dans les autres onglets de la boîte de dialogue, configurez l'apparence de la session. Vous pouvez configurer une police, un thème de couleurs, un type de terminal ($`TERM`) et beaucoup d'autres réglages pour chaque session.

6. Appuyez sur le bouton Ok. La nouvelle session est maintenant disponible dans la boîte de dialogue Configurer les profils....

Après avoir créé des profils, ceux-ci sont listés dans le menu Fichier sous l'élément par défaut Shell.

### Les boutons de la souris

Cette section décrit en détail l'utilisation des boutons de la souris en prenant comme référence l'ordre de boutons usuel pour les droitiers. Pour l'ordre des boutons d'une souris pour gauchers, veuillez échanger gauche et droite dans le texte ci-dessous.

gauche

  Un clic sur le &BGS; est transmis en tant qu'événement à l'application qui fonctionne dans l'émulateur si elle gère cette fonction. Si un programme est capable de réagir aux clics de souris, &konsole; l'indique en donnant au curseur la forme d'une flèche. Dans le cas contraire, un curseur en forme de barre verticale est affiché.

  Si vous conservez le &BGS; enfoncé en déplaçant la souris dans l'écran lorsqu'une application qui ne gère pas la souris fonctionne dans le terminal, une région du texte sera marquée. Le texte ainsi marqué sera affiché en vidéo inversée. Choisissez Copier dans le menu Édition pour copier le texte marqué dans le presse-papiers pour l'utiliser plus tard dans &konsole; ou dans une autre application. Le texte sélectionné peut également être glissé et déposé dans une application compatible. Cliquez sur le texte sélectionné et déposez-le à l'endroit voulu (en fonction de vos réglages de &kde;, vous devrez peut-être maintenir la touche &Ctrl; enfoncée lors du glissé).

  Normalement, des caractères de fin de ligne sont ajoutés à la fin de chaque ligne sélectionnée. C'est habituellement mieux pour copier-coller du code source ou pour la sortie d'une commande particulière. Pour du texte ordinaire, les sauts de ligne ne sont généralement pas importants. Cependant, on pourrait souhaiter que le texte prenne la forme d'une simple suite de caractères qui sera automatiquement reformatée lorsqu'elle sera collée dans une autre application. Pour sélectionner du texte de cette manière, enfoncez la touche &Ctrl; tout en sélectionnant normalement.

  Appuyez sur &Ctrl; et sur &Alt; en même temps que sur le &BGS; pour sélectionner une colonne de texte.

  Double-cliquez avec le &BGS; pour sélectionner un mot ; triple-cliquez pour sélectionner une ligne complète.

  Dès que le bord supérieur ou inférieur de la zone de texte marquée est atteint, &konsole; le fait défiler vers le haut ou vers le bas, affichant ainsi le cas échéant le contenu du tampon d'historique. Le défilement cesse dès que vous cessez de déplacer la souris.

  Après que vous avez relâché la souris, &konsole; essaye de conserver la sélection visible en la laissant en vidéo inversée. La zone ainsi marquée revient à un affichage normal dès que le contenu du presse-papiers change, lorsque le texte dans la zone marquée est modifié ou lorsque vous cliquez sur le &BGS;.

  Pour marquer du texte dans une application qui gère les événements de souris (Midnight Commander par exemple), il faut enfoncer la touche &Maj; pendant que l'on clique.

central

  En appuyant sur le &BCS;, le texte actuellement dans le presse-papiers est collé. En gardant la touche &Ctrl; enfoncée lorsque vous cliquez avec le &BCS;, le texte est collé et envoyé à &konsole;.

  Si vous avez une souris avec seulement deux boutons, appuyer en même temps sur le &BGS; et le &BDS; imite le &BCS; de la souris à trois boutons.

  Si vous avez une molette comme &BCS;, le fait d'actionner cette molette dans un programme qui ne gère pas la souris fera se déplacer la barre de défilement de &konsole;.

droit

  Ces élément apparaissent dans le menu lorsque le &BDS; est enfoncé : Copier, Coller, Effacer l'historique et réinitialiser, Ouvrir l'explorateur ici, Passer au profil, Modifier le profil actuel..., Afficher la barre de menus, Encodage des caractères et Fermer l'onglet

  Dans une application qui gère la souris, maintenez la touche &Maj; enfoncée pendant que vous appuyez sur le &BDS; pour obtenir le menu contextuel.

## Référence des commandes

### La barre de menus

La barre de menus se situe en haut de la fenêtre de &konsole;. Si cette barre est cachée, Afficher la barre de menus peut être atteint en cliquant avec le &BDS; dans la fenêtre (du moment qu'aucune application plein écran est lancée dans cette fenêtre, comme vi, minicom, etc.). Le raccourci par défaut est listé après chaque élément du menu.

#### Le menu Fichier

&Ctrl;&Maj;N Fichier Nouvel onglet

  Ouvre un nouvel onglet avec le profil par défaut

&Ctrl;&Maj;M Fichier Nouvelle fenêtre

  Ouvre une nouvelle fenêtre &konsole; avec le profil par défaut

Fichier Shell

  Ouvre un nouvel onglet avec le profil Shell

  &konsole; est fourni avec le profil Shell par défaut. Tous nouveaux profils ajouter par l'utilisateur auront leurs propre entrées dans Fichier Shell

Fichier Ouvrir l'explorateur ici

  Ouvre le gestionnaire de fichiers de &kde; dans le dossier actuel. Par défaut, il s'agit de &dolphin;.

&Ctrl;&Maj;W Fichier Fermer l'onglet

  Ferme l'onglet actuel

&Ctrl;&Maj;Q Fichier Quitter

  Quitte &konsole;

  &konsole; affichera une fenêtre s'il y a plus d'un onglet ouvert. Celle-ci peut être désactivée en cochant la case Ne plus demander.

#### Le menu Édition

&Ctrl;&Maj;C Édition Copier

  Copie le texte sélectionné dans le presse-papiers

&Ctrl;&Maj;V Édition Coller

  Colle du texte depuis le presse-papiers à l'emplacement du curseur

&Ctrl;&Alt;S Édition Renommer l'onglet...

  Ouvre une boîte de dialogue permettant de changer le nom de l'onglet actuel. (plus d'infos)

Édition Copier l'entrée vers...

  Permet aux entrées de la session actuelle d'être simultanément envoyées vers les autres sessions (plus d'infos)

Édition Effacer l'affichage

  Supprime tout le texte de l'onglet

  L'intégralité du texte supprimé sera stocké dans l'Historique.

Édition Effacer et réinitialiser

  Efface tout le texte de l'onglet et réinitialise la session

  L'intégralité du texte supprimé sera stocké dans l'Historique.

#### Le menu Affichage

&Ctrl;&Maj;L Affichage Séparer la vue Séparer la vue gauche / droite

  Divise verticalement tous les onglets en deux vues.

  Toutes les sorties d'une vue sont dupliquées dans l'autre.

&Ctrl;&Maj;T Affichage Séparer la vue Séparer la vue haut / bas

  Divise horizontalement tous les onglets en deux vues.

  Toutes les sorties d'une vue sont dupliquées dans l'autre.

&Ctrl;&Maj;S Affichage Séparer la vue Fermer la vue active

  Ferme la vue actuelle

&Ctrl;&Maj;O Affichage Séparer la vue Fermer les autres

  Ferme toutes les autres vues

&Ctrl;&Maj;] Affichage Séparer la vue Étendre la vue

  Élargit la vue actuelle

&Ctrl;&Maj;[ Affichage Séparer la vue Réduire la vue

  Diminue la vue actuelle

&Ctrl;&Maj;H Affichage Détacher la vue

  Ouvre l'onglet actuel dans une nouvelle fenêtre

  Quitter la fenêtre précédente de &konsole; n'aura aucune influence sur la nouvelle.

Affichage Afficher la barre de menus

  (Dés)active l'affichage de la barre de menus

&Ctrl;&Maj;F11 Affichage Mode plein écran

  (Dés)active l'affichage de &konsole; sur toute la surface de l'écran

&Ctrl;&Maj;I Affichage Guetter l'inactivité

  (Dés)active le suivi du manque activité dans l'onglet actuel

  Par défaut, après 10 secondes d'inactivité, une icône d'information apparaîtra sur l'onglet de la session. Le type d'alerte peut être changé par Configuration Configurer les notifications Inactivité dans la session surveillée.

&Ctrl;&Maj;A Affichage Guetter l'activité

  (Dés)active le suivi d'activité dans l'onglet actuel

  Suite à une activité, une icône d'information apparaîtra sur l'onglet de la session. Le type d'alerte peut être changé par Configuration Configurer les notifications Activité dans la session surveillée.

Affichage Encodage des caractères

  Définit l'encodage des caractères

&Ctrl;+ Affichage Augmenter la taille du texte

  Augmente la taille de la police du texte

&Ctrl;- Affichage Réduire la taille du texte

  Diminue la taille de la police du texte

#### Le menu Historique

&Ctrl;&Maj;F Historique Chercher dans la sortie...

  Ouvre une barre de recherche en bas de la fenêtre de &konsole;

  Elle permet des recherches sensibles à la casse, en avant et en arrière ainsi que les expressions rationnelles.

F3 Historique Trouver le suivant

  Se déplace vers l'instance suivante de la recherche

&Maj;F3 Historique Trouver le précédent

  Se déplace vers l'instance précédente de la recherche

Historique Enregistrer la sortie...

  Enregistre l'historique actuel dans un fichier texte.

Historique Options d'historique

  Ouvre une boîte de dialogue pour configurer le nombre de lignes à enregistrer (plus d'infos)

Historique Effacer l'historique

  Efface tout le texte enregistré dans l'onglet actuel

&Ctrl;&Maj;X Historique Effacer l'historique et réinitialiser

  Efface tout le texte enregistré dans l'onglet actuel et réinitialise le terminal

#### Le menu Signets

&Ctrl;B Signets Ajouter un signet

  Ajoute l'emplacement courant

Signets Mettre les onglets dans un dossier de signets...

  Ajoute tous les onglets à un dossier de signets

  Une boîte de dialogue s'ouvrira pour saisir le nom du dossier.

Signets Nouveau dossier de signets...

  Ajoute un nouveau dossier à la liste de signets

  Une boîte de dialogue s'ouvrira pour saisir le nom du dossier.

Signets Modifier les signets

  Ouvre l'éditeur de signets

  Vous pouvez utiliser l'éditeur de signets pour ajouter manuellement des URLs comme ssh://utilisateur@hôte:port pour ouvrir des connexions distantes.

#### Le menu Configuration

Configuration Passer au profil

  Change le profil pour la session actuelle

Configuration Modifier le profil actuel...

  Ouvre l'éditeur de profils pour l'onglet actuel

Configuration Configurer les profils...

  Ouvre un éditeur pour gérer les profils

Configuration Configurer les raccourcis clavier...

  Ouvre l'éditeur de raccourcis clavier

Configuration Configurer les notifications...

  Ouvre l'éditeur de notifications

#### Le menu Aide

&help.menu.documentation;

### Boîte de dialogue pour renommer l'onglet

Le nom de l'onglet actuel peut être changé à partir de cette boîte de dialogue. Elle peut être affiché par l'intermédiaire du menu, du raccourci &Ctrl;&Alt;S ou en double-cliquant sur l'onglet dans la barre d'onglets. Ces changements peuvent devenir permanent en éditant le profil actuel.

&konsole; substituera les jetons suivant :

- %n : nom du programme

- %d : dossier actuel (court)

- %D : dossier actuel (long)

- %w : titre de la fenêtre tel que définie par le shell

- %# : numéro de la session

- %u : nom d'utilisateur

Exemples :

- `%d : %n` avec /usr/src comme dossier actuel dans bash cela affichera usr/s : bash

- `%D : %n` avec /usr/src comme dossier actuel et en exécutant top cela affichera /usr/src : top

- `%w (%#)` avec ~ comme dossier actuel et en exécutant vim dans le premier onglet, cela affichera [No Name] (~) - VIM(1)

### Boîte de dialogue pour copier l'entrée

Le texte saisi dans un onglet peut être envoyé simultanément vers d'autres onglets. Cette boîte de dialogue vous permet de sélectionner quels onglets obtiendront cette saisie. L'onglet actuel sera grisé.

### Boîte de dialogue pour l'historique

La taille de l'historique peut être définie dans cette boîte de dialogue. Il y a également une case à cocher pour enregistrer ces paramètres dans le profil courant.

## Options de ligne de commandes

Quand &konsole; est lancé depuis la ligne de commande, plusieurs options peuvent être précisées pour modifier son comportement.

`--help`

  Énumère les différentes options.

`--profile` `fichier`

  Démarre &konsole; en utilisant un jeu de sessions enregistré.

`--list-profiles`

  Liste tous les profils disponibles.

`--background-mode`

  Démarre &konsole; en arrière plan et l'affiche lorsque la touche F12 est enfoncée.

`--new-tab`

  Créé un nouvel onglet dans une fenêtre existante plutôt que d'en créer une nouvelle.

`--workdir` `dossier`

  Ouvre avec `dossier` comme dossier de travail (initial).

`--notransparency`

  Désactive les fonds transparents, même si le système les gère.

`--force-transparency`

  Essaye d'activer la transparence, même si le système ne semble pas la gérer.

`--hold, --noclose`

  Ne ferme pas automatiquement la session initiale quand elle s'arrête.

`-p` `propriété=valeur`

  Change la valeur d'une propriété du profil.

`-e` `commande`

  Exécute `commande` au lieu de l'interpréteur de commandes normal.

  Tous les arguments suivant `commande` seront passés à la `commande` et non à &konsole;.

&konsole; accepte aussi les options génériques de &Qt; et de &kde; :

`--help-qt`

  Affiche les options propres à &Qt;

Les options de &Qt; suivantes n'ont pas d'effet sur &konsole; :

`--fn`, `--font` `police`

  Définit la police de l'application

`--bg`, `--background` `couleur`

  Définit la couleur de fond par défaut

`--fg`, `--foreground` `couleur`

  Définit la couleur de premier plan par défaut

`--btn`, `--button` `couleur`

  Définit la couleur de boutons par défaut.

`--help-kde`

  Affiche les options propres à &kde;

`--help-all`

  Affiche toutes les options

`--author`

  Affiche les noms des auteurs

`-v, --version`

  Affiche le numéro de la version

`--license`

  Affiche des informations sur la licence

## Script pour &konsole;

Sous &kde; 4, &DCOP; a été remplacé par &DBus;. &konsole; gère de multiples méthodes pouvant être utilisées avec &DBus;.

Il existe deux manières d'utiliser l'interface &DBus; : l'interface graphique pour &Qt; qdbusviewer ou la ligne de commande qdbus.

Exemples :

- &percnt; `qdbus` affichera tous les services disponibles.

- &percnt; `qdbus` `org.kde.konsole-`pidof -s konsole`` affichera l'interface &DBus; pour &konsole;.

- &percnt; `qdbus` `org.kde.konsole-`pidof -s konsole` /Konsole` affichera les méthodes permettant de contrôler la fenêtre principale de &konsole;.

- &percnt; `qdbus` `org.kde.konsole-`pidof -s konsole` /Session/1` affichera les méthodes pour la session 1.

Dans les exemples ci-dessus, ``pidof -s konsole`` fonctionnera seulement si vous avez une seule fenêtre de &konsole; lancée. Si vous en avez plusieurs, vous devrez remplacer le texte ci-dessus par le PID de la &konsole; que vous souhaitez contrôler.

Pour obtenir plus d'informations, visitez Tutoriel &DBus;.

## Remerciements et copyright

&konsole; est actuellement maintenu par &Robert.Knight; &Robert.Knight.mail;

Auparavant, &konsole; était maintenu par &Kurt.Hindenburg; &Kurt.Hindenburg.mail; et &Waldo.Bastian; &Waldo.Bastian.mail;

L'application &konsole; est sous Copyright © 1997-2008 &Lars.Doelle; &Lars.Doelle.mail;

Ce document a été écrit par &Jonathan.Singer; &Jonathan.Singer.mail;

Ce document a été mis à jour pour &kde; 3.4 par &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Ce document a été mis à jour pour &kde; 4.1 par &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Converti originellement au format DocBook SGML par par &Mike.McBride; et &Lauri.Watts;

Traduction française par &AnneMarieMahfouf;, &LudovicGrossard;, &EricBischoff;, &DamienRaudeMorvan; et &PierreBuard;. Relecture par &LudovicGrossard;

&underFDL; &underGPL;

## Liens

Pour plus d'informations, veuillez visiter ces sites web :

- La page d'accueil de &konsole;

- La liste de discussion de &konsole;

- &kde; sur FreeBSD

- &kde; sur &Solaris;

&documentation.index;